> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billpay Aging



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/alpha/billpays/aging
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/billpays/aging:
    get:
      tags:
        - billpays
        - quanta-services-api
      summary: Get Billpay Aging
      operationId: get_billpay_aging
      parameters:
        - name: open_only
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Open Only
        - name: gl_end_date
          in: query
          required: false
          schema:
            type: string
            format: date
            title: Gl End Date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/APDetailTransaction'
                title: Response Get Billpay Aging
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    APDetailTransaction:
      properties:
        source_qid:
          type: string
          title: Source Qid
        gl_effective_date:
          type: string
          format: date
          title: Gl Effective Date
        gl_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Gl Amount
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        transaction_source:
          $ref: '#/components/schemas/Source'
        outstanding_balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Outstanding Balance
          default: '0.00'
        match_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Id
        transaction_type:
          $ref: '#/components/schemas/APDetailTransactionType'
        billpay:
          anyOf:
            - $ref: '#/components/schemas/BillpayTransactionDetails'
            - type: 'null'
        reimbursement:
          anyOf:
            - $ref: '#/components/schemas/ReimbursementTransactionDetails'
            - type: 'null'
        payment:
          anyOf:
            - $ref: '#/components/schemas/PaymentTransactionDetails'
            - type: 'null'
      type: object
      required:
        - source_qid
        - gl_effective_date
        - amount
        - description
        - transaction_source
        - transaction_type
      title: APDetailTransaction
      description: >-
        Combined AP detail transaction with discriminator and optional
        type-specific details
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Source:
      type: string
      enum:
        - quanta
        - amex
        - deel
        - qbo
        - ramp
        - ramp_bank
        - rippling
        - stripe
        - gusto
        - brex
        - frb
        - fidelity
        - justworks
        - sequoia_one
        - chase
        - wells_fargo_ceo
        - mercury
        - meow_bank
        - bank_of_america
        - svb
        - morgan_stanley
        - other_bank
        - other_finicity_bank
        - angellist_banking
        - arc
        - carta
        - manual
        - bank_upload
        - local_bank
        - card_upload
        - reimbursement_upload
        - warp
        - rho
        - stifel
        - highbeam
        - erebor
        - wise
        - td_canada
        - central_payroll
        - rillet
        - campfire
        - netsuite
        - orb
        - prepaid
        - loan
        - accrued_expense
        - pricing_component
        - invoice_sent
        - fixed_asset
        - intangible_asset
        - stripe_invoice
        - payment_event
        - month_end_event
        - out_of_band_invoice
        - derivative_payable
      title: Source
    APDetailTransactionType:
      type: string
      enum:
        - BILL
        - REIMBURSEMENT
        - PAYMENT
        - MANUAL_ADJUSTMENT
        - POST_CLOSE_SOURCE_ADJUSTMENT
      title: APDetailTransactionType
    BillpayTransactionDetails:
      properties:
        external_id:
          type: string
          title: External Id
        payment_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Payment Amount
        outstanding_balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Outstanding Balance
        payment_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Payment Date
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Name
        vendor_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Image Url
        vendor_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Qid
        current:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Current
          default: '0.00'
        aging_0_30:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Aging 0 30
          default: '0.00'
        aging_31_60:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Aging 31 60
          default: '0.00'
        aging_61_90:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Aging 61 90
          default: '0.00'
        aging_91_plus:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Aging 91 Plus
          default: '0.00'
        due_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Due Date
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        approval_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Approval Status
        original_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Original Amount
        aging_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Aging Days
        invoice_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Number
        invoice_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Invoice Date
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        match_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Id
      type: object
      required:
        - external_id
        - payment_amount
        - outstanding_balance
        - payment_date
        - vendor_name
        - due_date
        - status
        - approval_status
        - original_amount
        - aging_days
        - invoice_number
        - invoice_date
        - currency
        - match_id
      title: BillpayTransactionDetails
    ReimbursementTransactionDetails:
      properties:
        status:
          type: string
          title: Status
        payee_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Payee Amount
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
      type: object
      required:
        - status
        - payee_amount
        - currency
      title: ReimbursementTransactionDetails
    PaymentTransactionDetails:
      properties:
        payment_type:
          $ref: '#/components/schemas/PaymentTransactionType'
        payment_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Payment Date
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Name
        vendor_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Image Url
        match_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Id
      type: object
      required:
        - payment_type
        - payment_date
        - vendor_name
        - match_id
      title: PaymentTransactionDetails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PaymentTransactionType:
      type: string
      enum:
        - BANK
        - CARD
        - MANUAL_ADJUSTMENT
      title: PaymentTransactionType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.